package com.zcxk.process.dao;


import com.zcxk.process.entity.UserForm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserFormMapper {
    int insert(@Param("userForm") UserForm userForm);

    int insertSelective(@Param("userForm") UserForm userForm);

    int insertList(@Param("userForms") List<UserForm> userForms);

    int updateByPrimaryKeySelective(@Param("userForm") UserForm userForm);

    List<UserForm> list(@Param("param") UserForm userForm);

    UserForm singleQuery(@Param("param") UserForm userForm);
}
